Skip to main content
POST
Create corporate customer

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json

The related corporate customer data

customerNumber
string
required

Can contain both letters and numbers. Max character limit is 64

Pattern: [A-Za-z0-9-]{1,64}
Example:

"ABCDEFGH123456789"

locale
enum<string>
required

Customer's language and country code, these are the valid locales in API

Available options:
af_ZA,
ar_AE,
ar_BH,
ar_DZ,
ar_EG,
ar_IQ,
ar_JO,
ar_KW,
ar_LB,
ar_LY,
ar_MA,
ar_OM,
ar_QA,
ar_SA,
ar_SY,
ar_TN,
ar_YE,
az_AZ,
be_BY,
bg_BG,
bn_IN,
bs_BA,
ca_ES,
cs_CZ,
cy_GB,
da_DK,
de_AT,
de_CH,
de_DE,
de_LI,
de_LU,
de_NL,
el_GR,
en_AU,
en_BZ,
en_CA,
en_GB,
en_IE,
en_JM,
en_MT,
en_NZ,
en_PH,
en_TT,
en_US,
en_VI,
en_ZA,
en_ZW,
es_AR,
es_BO,
es_CL,
es_CO,
es_CR,
es_DO,
es_EC,
es_ES,
es_GT,
es_HN,
es_MX,
es_NI,
es_PA,
es_PE,
es_PR,
es_PY,
es_SV,
es_UY,
es_VE,
et_EE,
eu_ES,
fa_IR,
fi_FI,
fo_FO,
fr_BE,
fr_CA,
fr_CH,
fr_FR,
fr_LU,
fr_MC,
fr_NL,
ga_IE,
gl_ES,
gu_IN,
he_IL,
hi_IN,
hr_HR,
hu_HU,
hy_AM,
id_ID,
is_IS,
it_CH,
it_IT,
ja_JP,
ka_GE,
kk_KZ,
kl_GL,
kn_IN,
ko_KR,
kok_IN,
lb_LU,
lt_LT,
lv_LV,
mk_MK,
ml_IN,
mn_MN,
mr_IN,
ms_BN,
ms_MY,
mt_MT,
nb_NO,
nl_BE,
nl_NL,
nn_NO,
no_NO,
pa_IN,
pl_PL,
pt_BR,
pt_PT,
ro_RO,
ru_RU,
se_NO,
sk_SK,
sl_SI,
sq_AL,
sr_BA,
sr_CS,
sv_FI,
sv_SE,
sw_KE,
syr_SY,
ta_IN,
te_IN,
th_TH,
tn_ZA,
tr_TR,
uk_UA,
uz_UZ,
vi_VN,
xh_ZA,
zh_CN,
zh_HK,
zh_MO,
zh_SG,
zh_TW,
zu_ZA
regNo
string
required

Identifier to customer, for example SSN. Enfuce does not do any validation for this regNo

Maximum string length: 64
Example:

"19560606-1234"

address
address · object
required

Address used if no other address are set on account and card levels

name
string
required

Registered name of the company

Maximum string length: 255
Example:

"Enfuce Financial Services Oy"

email
string
Maximum string length: 255
Example:

"info@enfuce.com"

phoneNumber
string

Land line phone number to customer, must be full number including country code and starting with +

Pattern: ([+]){1}([1-9]){1}([0-9]){5,14}
Example:

"+35821010001"

mobileNumber
string

Mobile number to customer, must be full number including country code and starting with +

Pattern: ([+]){1}([1-9]){1}([0-9]){5,14}
Example:

"+358401234567"

screening
object

PEP and Sanction Screening.

Fields can be used purely for informational purposes and do not trigger any legal or compliance-related consequences. However, the value of these fields may have operational implications for card usage, as described below. This screening is optional and does not need to be used if it is not relevant.

temporaryAddress
address · object

Temporary address used to for a limited time be used instead of other address set either on customer, account or card level.

additionalValues
object[]

An array of key–value pairs for custom metadata.
Enfuce does not validate beyond length/format.

Maximum array length: 10
customerRepresentative
string

Field value is printed to outgoing invoices. In order to use this field it should be agreed in advantage with selected printing partner how it's represented on the invoice.

Maximum string length: 64
Example:

"Mrs Smith"

registration
object
riskScore
enum<string>

Risk assessment score of the customer. Can be one of the following values:

  • High: High-risk customer
  • Med: Medium-risk customer
  • Low: Low-risk customer
  • Pep: Politically Exposed Person (PEP)
  • Prohibited: Customer sanctioned or outside of risk appetite
Available options:
High,
Med,
Low,
Pep,
Prohibited
Example:

"Med"

Response

Successful creation of customer

description
string

When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.

Example:

"061-Usage Limit '24H_RETAIL' Amount Exceeded"

id
string

Will contain the ID of the resource that has been created or updated